/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */


package net.sourceforge.kivu4j.job.domain;

import net.sourceforge.kivu4j.utils.lang.domain.Dto;


/**
 * 任务dto对象
 *
 * @author Lucky Yang
 */
public class JobDto extends Dto<Long>{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8246982287288226110L;
	private String name;
	private String group;
	private String fullName;
	private String description;

	public JobDto() {
		super();
	}
		
	public JobDto(String name, String group, String fullName, String description) {
		super();
		this.name = name;
		this.group = group;
		this.fullName = fullName;
		this.description = description;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getGroup() {
		return group;
	}
	public void setGroup(String group) {
		this.group = group;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}

	public String getFullName() {
		return fullName;
	}

	public void setFullName(String fullName) {
		this.fullName = fullName;
	}
	
	
}
